Skip to main content
GET
/
v1
/
activity
List activity logs
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.keystoneos.xyz/v1/activity', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "category": "<string>",
      "severity": "<string>",
      "description": "<string>",
      "actor_type": "<string>",
      "actor_id": "<string>",
      "resource_type": "<string>",
      "resource_id": "<string>",
      "method": "<string>",
      "path": "<string>",
      "status_code": 123,
      "ip_address": "<string>",
      "user_agent": "<string>",
      "duration_ms": 123,
      "detail": null,
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}

Authorizations

Authorization
string
header
required

Auth0 JWT access token. See Authentication for details.

Query Parameters

environment_id
string<uuid> | null

Filter by environment ID.

type
string | null

Filter by event type (e.g. settlement.created).

category
string | null

Filter by category (e.g. settlement, compliance).

date_from
string<date-time> | null

Filter logs from this date (inclusive).

date_to
string<date-time> | null

Filter logs until this date (inclusive).

search
string | null

Search in description, type, actor_id, resource_id.

resource_type
string | null

Filter by resource type.

resource_id
string | null

Filter by resource ID.

limit
integer
default:50

Maximum number of results.

Required range: 1 <= x <= 200
offset
integer
default:0

Number of results to skip.

Required range: x >= 0

Response

Successful Response

items
ActivityLogRead · object[]
required
total
integer
required
limit
integer
required
offset
integer
required